#
# spec file for package susemanager-cloud-setup
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define base_name susemanager-cloud-setup

%if "server" == ""
%define flavor_suffix %nil
ExclusiveArch:  do-not-build
%endif
%if "server" == "server"
%define flavor_suffix -server
%endif
%if "server" == "proxy"
%define flavor_suffix -proxy
%endif

Name:           %{base_name}%{flavor_suffix}
Version:        1.6
Release:        3.12.1
Summary:        Cloud specific setup scripts for SUSE Manager
License:        GPL-3.0-or-later
Group:          System/Management
Url:            https://github.com/SUSE-Enceladus/susemanager-cloud-setup
Source:         %{base_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       %{base_name}
Conflicts:      %{base_name}

%description -n %{base_name}%{flavor_suffix}
Scripts that help setting up SUSE Manager in the cloud.

%prep
%setup -q -n %{base_name}-%{version}

%build

%install
make install%{flavor_suffix} DESTDIR=%{buildroot} PREFIX=%{_usr}

%files -n %{base_name}%{flavor_suffix}
%defattr(-,root,root)
%attr(755,root,root) %{_usr}/bin/suma-storage
%attr(755,root,root) %{_usr}/lib/susemanager
%license LICENSE

%changelog
* Thu Jun 11 2020 jgleissner@suse.com
- Update to version 1.6
  * suma-storage: handle /var/spacewalk correctly (bsc#1172838)
* Mon Jun  8 2020 jgleissner@suse.com
- Update to version 1.5
  * adapt to new azuremetadata output (bsc#1172645)
* Mon Dec  9 2019 jgleissner@suse.com
- Update to version 1.4
  * Improve handling of storage volumes (bsc#1158691)
* Mon Jul  1 2019 jgleissner@suse.com
- Submission to SLE 15 SP1 (bsc#1138254, fate#327820)
* Sat Jun 15 2019 jgleissner@suse.com
- Update to version 1.3
  * Use multibuild for packaging
* Tue Jun  4 2019 jgleissner@suse.com
- Update to version 1.2
  * Do not try to guess external host name
* Wed Apr 10 2019 jgleissner@suse.com
- typo fix
* Tue Apr  9 2019 jgleissner@suse.com
- Update to version 1.1
  * suma_completehook: do not print admin password to stdout
* Tue Mar 12 2019 jgleissner@suse.com
- Initial version 1.0
